{ pkgs, username, inputs, ... }:

{
  environment.persistence."/nix/persist" = {
    users."${username}".directories = [
      ".local/share/steam_home"
      ".local/share/osu"
      ".local/share/an-anime-game-launcher"
    ];
  };

  environment.systemPackages = with pkgs; [
    protonup-qt
    protontricks
    unstable.osu-lazer-bin
  ];

  programs.steam = {
    enable = true;
    gamescopeSession.enable = true;
  };

  nix.settings = inputs.aagl.nixConfig;
  programs.anime-game-launcher.enable = true;
}
